Bug 89151 - Terminal hangs and hogs CPU when running make menuconfig on a 2.5 kernel tree
Terminal hangs and hogs CPU when running make menuconfig on a 2.5 kernel tree
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-18 09:40 EDT by Antonio Vargas
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 22:23:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Complete list of installed packages (9.25 KB, text/plain)
2003-04-18 09:42 EDT, Antonio Vargas
no flags Details

  None (edit)
Description Antonio Vargas 2003-04-18 09:40:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.2.1) Gecko/20030225

Description of problem:


Version-Release number of selected component (if applicable):
gnome-terminal-2.2.1-3

How reproducible:
Always

Steps to Reproduce:
1. unpack a 2.5 kernel tree somewhere
2. goto directory
3. make menuconfig
4. drill down 2 or 3 times
5. press exit several time to get back to main menu

    

Actual Results:  The terminal hangs

Expected Results:  Get back to the main menu just like when first entering it.

Additional info:

Tried both with and without AA fonts on gnome-terminal, it failed always.

Tried the same on xterm, it worked.

Tried the same on xterm with AA fonts, it worked.

Machine is Athlon 900, 256mb ram, nvidia tnt1 card with standard nv.o Xfree
driver (no nvidia driver).
Comment 1 Antonio Vargas 2003-04-18 09:42:11 EDT
Created attachment 91188 [details]
Complete list of installed packages
Comment 2 Warren Togami 2003-04-19 04:10:32 EDT
I have reproduced this.  Anything that causes lots of text to fly by quickly in
gnome-terminal can cause this lockup when using kernel-2.5.x.

Workaround: If you start a process that has lots of text flying by, but minimize
the window, it wont lockup.
Comment 3 Jan "Yenya" Kasprzak 2003-07-22 09:20:13 EDT
I have reproduced this - even running "make menuconfig" locks up the terminal,
when it is vertically maximized.

However - I've first experienced this after booting to 2.6.0-test1 kernel
with CONFIG_PREEMPT=y.
Comment 4 Antonio Vargas 2003-07-22 11:28:16 EDT
I was running the standard 2.4.x kernel when I saw it.

According to linux-kernel mailing list, this is an application bug uncovered by
the new O(1) scheduler.

Relevant thread:

http://mail.nl.linux.org/linux-mm/2003-07/msg00275.html

Message-ID: <6uwueidhdd.fsf@zork.zork.net>

Comment 5 Ray Strode [halfline] 2004-11-04 22:23:50 EST
It sounds like this is an old kernel problem.  I'm going to close the
bug, but if people are still experiencing problems using recent
packages, please feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.